Skip to main content
`Ctrl`+`K`

# numpy.memmap.transpose

method

memmap.transpose(*axes)

  Returns a view of the array with axes transposed.

  Refer to `numpy.transpose` for full documentation.

  Parameters:
    axes None, tuple of ints, or n ints

      - None or no argument: reverses the order of the axes.

      - tuple of ints: i in the j-th place in the tuple means that the array’s i-th axis becomes the transposed array’s j-th axis.

      - n ints: same as an n-tuple of the same ints (this form is intended simply as a “convenience” alternative to the tuple form).

  Returns:
    p ndarray

      View of the array with its axes suitably permuted.

  See also

  `transpose`

    Equivalent function.

  `ndarray.T`

    Array property returning the array transposed.

  `ndarray.reshape`

    Give a new shape to an array without changing its data.

  Examples

      >>> import numpy as np
      >>> a = np.array([[1, 2], [3, 4]])
      >>> a
      array([[1, 2],
             [3, 4]])
      >>> a.transpose()
      array([[1, 3],
             [2, 4]])
      >>> a.transpose((1, 0))
      array([[1, 3],
             [2, 4]])
      >>> a.transpose(1, 0)
      array([[1, 3],
             [2, 4]])

      >>> a = np.array([1, 2, 3, 4])
      >>> a
      array([1, 2, 3, 4])
      >>> a.transpose()
      array([1, 2, 3, 4])